# Generated from sashite-0.0.1.gem by gem2rpm -*- rpm-spec -*-
%global gem_name sashite

Name: rubygem-%{gem_name}
Version: 0.0.1
Release: 1%{?dist}
Summary: A Ruby client for the Sashite API
License: MIT
URL: https://github.com/sashite/sashite-ruby
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(fix) >= 0.12
# BuildRequires: rubygem(fix) < 1
# BuildRequires: rubygem(rubocop) >= 0.34
# BuildRequires: rubygem(rubocop) < 1
# BuildRequires: rubygem(simplecov) >= 0.10
# BuildRequires: rubygem(simplecov) < 1
# BuildRequires: rubygem(webmock) >= 1.21
# BuildRequires: rubygem(webmock) < 2
# BuildRequires: rubygem(yard) >= 0.8
# BuildRequires: rubygem(yard) < 1
BuildArch: noarch

%description
A Ruby client for the Sashite API.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%exclude %{gem_instdir}/.travis.yml
%exclude %{gem_instdir}/.yardopts
%{gem_instdir}/CODE_OF_CONDUCT.md
%license %{gem_instdir}/LICENSE.md
%{gem_instdir}/VERSION.semver
%{gem_instdir}/bin
%{gem_instdir}/certs
%{gem_libdir}
%{gem_instdir}/pkg_checksum
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/sashite.gemspec

%changelog
* Wed Apr 20 2022 mockbuilder - 0.0.1-1
- Initial package
